@import 'variables';
@import './mixins/mixins.scss';

.drawer {
  transform: translateX(0%);
  position: fixed;
  top: 0;
  left: -330px;
  bottom: 0;
  background-color:$color-white;
  color: $color-black;
  min-width: 300px;
  @include set_transition(all ease-in-out 0.3s);
  z-index: 11;

  &.dark {
    background-color: $color-black;
  }

  &.opened {
    left: 0;
  }

  .header {
    border-bottom: 1px solid $color-dark-grey;
    display: flex;
    justify-content: space-between;
    padding: 10px 20px;
    &.dark {
      border-bottom-color: lighten($color: $color-black, $amount: 30);
    }
    .logo {
      svg {
        fill: $color-primary;
        width: 130px;
        vertical-align: middle;
      }
      &.dark svg {
        fill: $color-white;
      }
    }
    .close {
      cursor: pointer;
      width: 20px;
      &.dark svg {
        fill: $color-white;
      }
    }
  }

  .content {
    position: absolute;
    top: 73px;
    right: 0;
    bottom: 0;
    left: 0;
    overflow:scroll;

    .content_wrapper {
      padding: 20px;
    }
  }

  .copyright {
    border-top: 1px solid darken($color: $color-white, $amount: 10);
    color: darken($color: $color-white, $amount: 40);
    font-size: small;
    margin-top: 1rem;
    padding-top: 1rem;

    &.dark {
      color: $color-white;
      border-top-color: lighten($color: $color-black, $amount: 30);
    }
  }
}

.backdrop {
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  background-color: rgba($color: $color-black, $alpha: .8);
  z-index: 10;
  display: none;

  &.opened {
    display: block;
  }

  &.dark {
    background-color: rgba($color: $color-white, $alpha: .9);
  }
}

.drawer_menu {
  margin-bottom: 2em;

  .title {
    border-bottom: 1px solid darken($color: $color-white, $amount: 30);
    color: darken($color: $color-white, $amount: 30);
    padding-bottom: 0.5rem;
    margin: 0;
    margin-top: 1rem;
    text-transform: uppercase;
  }

  &.dark .title {
    color: lighten($color: $color-black, $amount: 40);
    border-color: lighten($color: $color-black, $amount: 40);;
  }

  ul.menu_items {
    padding: 0;
    margin: 0;
    list-style: none;

    li.item a.item_link {
      display: flex;
      justify-content: space-between;
      padding: 10px 0;
      border-bottom: 1px solid darken($color: $color-white, $amount: 15);

      &:hover {
        opacity: 0.7;
      }

      span.item_title {
        font-weight: bold;
        font-size: 16px;
      }
      span.item_desc {
        display: block;
        font-size: small;
        margin-top: 3px;
        color: darken($color: $color-white, $amount: 30);
      }
      span.item_icon {
        svg {
          vertical-align: middle;
        }
      }

      &.dark {
        border-bottom-color: lighten($color:$color-black, $amount: 20);
        span.item_icon svg {
          fill: $color-white;
        }
      }
    }

    &.inline {
      margin-top: 10px;
      li {
        display: inline-block;
        &.sm_icon {
          a {
            background-color: darken($color: $color-white, $amount: 5);
            width: 40px;
            line-height: 40px;
            margin-right: 10px;
            height: 40px;
            display: inline-block;
            text-align: center;
            @include set_border_radius(5px);
            &:hover {
              background-color: $color-primary;
              svg {
                fill: $color-white;
              }
            }
          }
          svg {
            vertical-align: middle;
          }

          &.dark {
            a {
              background-color: lighten($color: $color-black, $amount: 20);
              &:hover {
                background-color: $color-white;
                svg {
                  fill: $color-primary;
                }
              }
            }
            svg {
              fill: $color-white;
            }
          }
        }
      }
    }
  }
}